Skip site navigation (1) Skip section navigation (2)

RE: 7.1 odbc bug & patch

From: "Hiroshi Inoue" <Inoue(at)tpf(dot)co(dot)jp>
To: "Bruce Momjian" <pgman(at)candle(dot)pha(dot)pa(dot)us>, "Dave Bodenstab" <imdave(at)mcs(dot)net>
Cc: <pgsql-patches(at)postgresql(dot)org>
Subject: RE: 7.1 odbc bug & patch
Date: 2001-06-12 15:03:30
Message-ID: (view raw or whole thread)
Lists: pgsql-patches
> -----Original Message-----
> From: Bruce Momjian
> Wow, if all our code was as bad as this ODBC snipped we be in serious
> trouble.  :-)

Probably gpps.c has caused ODBC troubles under unix(
gpps.c isn't needed at all under Windows). I'm happy if
someone maintains it and would reply to the inquiries
about ODBC under unix.


> > 
> > Please enter a FULL description of your problem:
> > ------------------------------------------------
> > I installed postgres 7.1 with --enable-odbc.  I then installed
> > tclodbc ( and libiodbc-2.50.3
> > (  I could not
> > get either to work... postgres would not find the global odbcinst.ini
> > file. 

AFAIK iODBC doesn't need odbcinst.ini though I don't know
about tclodbc.  In addtion psqlodbc searches odbcinst.ini
in a directory.

Hiroshi Inoue

In response to


pgsql-patches by date

Next:From: Bruce MomjianDate: 2001-06-12 15:04:21
Subject: Re: 7.1 odbc bug & patch
Previous:From: Tom LaneDate: 2001-06-12 06:55:23
Subject: Re: Australian timezone configure option

Privacy Policy | About PostgreSQL
Copyright © 1996-2015 The PostgreSQL Global Development Group